<template>
    <reviewBlock
        :customHeaderText="headerText"
        :content="displayContent"
        @edit-clicked="editClicked" />
</template>

<script>
import reviewBlock from "@/layouts/payment-method/review-dropdown/review-block/review-block";
import { AppointmentTypeStrings } from "@/constants/schedule-constants";

export default {
    name: "appointment-review",
    props: {
        cmsWidgetName: String,
        apptWordingText: String,
    },
    data() {
        return {};
    },
    methods: {
        editClicked() {
            this.$emit("edit-clicked");
        },
    },
    computed: {
        displayContent() {
            return [this.apptWordingText];
        },
        headerText() {
            return this.getCmsContent(this.cmsWidgetName, "HeaderText");
        },
    },
    components: {
        reviewBlock,
    },
};
</script>
